# Lynn's NixOS dotfiles
Most of the dotfiles here are from my desktop, albeit a bit modified (Polybar config, for example). I'm using `home-manager` to inject config files to `~/.config`, naturally.

# Some Assembly Required
Because I'm a noob at NixOS, and because I'm lazy this configuration makes some assumptions. They are in-line with my laptop, which is an ASUS TUF A15 (FA506IV).

## GPU
- It assumes you have an AMD APU, with an NVIDIA dGPU
  - Furthermore, it assumes the APU's GPU is at PCI:0:6:0 and that the NVIDIA dGPU is at PCI:1:0:0
  - This uses the Sync mode described on the [wiki](https://nixos.wiki/wiki/Nvidia).

It wouldn't be too hard to modify the configuration file to make this work on YOUR system.

### Intel iGPU + NVIDIA dGPU
Simply change `amdgpuBusId` to `intelBusId`. You'll still need to change the bus addresses themselves, though. Read the [wiki](https://nixos.wiki/wiki/Nvidia) for more information!

### NVIDIA GPU ONLY
Remove or comment out the `prime` section.

### AMD GPU (APU OR dGPU) ONLY
Remove or comment out the entire `nvidia` section, as well as `services.xserver.videoDrivers = ["nvidia"];` above it.